<template>
  <q-page padding>
    <div class="text-center">
      <q-img src="public/img/openscouts.png" width="20%"></q-img>
    </div>
    <div class="q-pa-xl">
      <q-banner rounded class="bg-red text-white">
        Mi Rincón es mantenido por scouts, de forma desinteresada y sin cobrar
        ningún tipo servicio o mantenimiento; Debido a que el sistema lo
        utilizan múltiples zonas dentro del país, los administradores NO
        respondemos consultas de formacion. Te pedimos que ante cualquier
        inconveniente o inquietud con tu formacion, te contactes con tu
        Facilitador / ADAMS / AZAMS segun corresponda. El mail
        soporte{@}mirincon.com.ar solo atenderá solicitudes de los AZAMS.
        <br />Equipo Mi Rincón.
      </q-banner>
    </div>
    <q-form @submit="onSubmit" class="q-ma-md">
      <q-input
        v-model="formData.usuario"
        label="Nro de Documento*"
        type="number"
        lazy-rules
        :rules="[
          (val) => (val && val.length > 0) || 'Por favor ingrese su documento',
        ]"
      >
        <template v-slot:prepend>
          <q-icon name="person" />
        </template>
      </q-input>
      <q-input
        type="password"
        v-model="formData.password"
        label="Contraseña *"
        lazy-rules
        :rules="[
          (val) =>
            (val !== null && val !== '') || 'Por favor ingrese su contraseña',
        ]"
      >
        <template v-slot:prepend>
          <q-icon name="lock" />
        </template>
      </q-input>
      <div class="q-mt-sm">
        <q-btn
          class="full-width"
          label="Ingresar a la plataforma"
          type="submit"
          color="purple-9"
        />
      </div>
    </q-form>
    <div class="q-ma-md">
      <q-banner class="bg-light-blue text-white text-center" rounded>
        <p class="text-h5">Soy Nuevo</p>
        Los nuevos educadores deben registrarse por primera vez.
        <template v-slot:action>
          <q-btn color="white" class="text-black" label="REGISTRATE !" />
        </template>
      </q-banner>
    </div>
  </q-page>
</template>

<script lang="ts">
import { reactive, defineComponent } from 'vue';
import { useUserStore } from 'stores/user';

export default defineComponent({
  setup() {
    const store = useUserStore();
    const formData = reactive({
      usuario: '',
      password: '',
    });

    function onSubmit() {
      store.login(formData);
    }

    return {
      // you can return the whole store instance to use it in the template
      formData,
      onSubmit,
    };
  },
});
</script>
